Package org.h2gis.functions.spatial.topology

# Class ST_Node

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.topology.ST_Node

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Node extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher (CNRS), Sylvain PALOMINOS (UBS 2019)

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Node()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`node(org.locationtech.jts.geom.Geometry geom)`
Nodes a geometry using a monotone chain and a spatial index

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Node

public ST_Node()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### node

public static org.locationtech.jts.geom.Geometry node(org.locationtech.jts.geom.Geometry geom)
Nodes a geometry using a monotone chain and a spatial index

Parameters:
  `geom` -
Returns: